OpenCV: cv::detail::BestOf2NearestRangeMatcher Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::detail::BestOf2NearestRangeMatcher Class Reference
Images stitching » Features Finding and Images Matching

`#include "matchers.hpp"`

Inheritance diagram for cv::detail::BestOf2NearestRangeMatcher:

## Public Member Functions
| BestOf2NearestRangeMatcher (int range_width=5, bool try_use_gpu=false, float match_conf=0.3f, int num_matches_thresh1=6, int num_matches_thresh2=6)
void | operator() (const std::vector< ImageFeatures > &features, std::vector< MatchesInfo > &pairwise_matches, const cv::UMat &mask=cv::UMat())
Public Member Functions inherited from cv::detail::BestOf2NearestMatcher
| BestOf2NearestMatcher (bool try_use_gpu=false, float match_conf=0.3f, int num_matches_thresh1=6, int num_matches_thresh2=6)
| Constructs a "best of 2 nearest" matcher. More...
void | collectGarbage () CV_OVERRIDE
| Frees unused memory allocated before if there is any. More...
Public Member Functions inherited from cv::detail::FeaturesMatcher
virtual | ~FeaturesMatcher ()
bool | isThreadSafe () const
void | operator() (const ImageFeatures &features1, const ImageFeatures &features2, MatchesInfo &matches_info)
void | operator() (const std::vector< ImageFeatures > &features, std::vector< MatchesInfo > &pairwise_matches, const cv::UMat &mask=cv::UMat())
| Performs images matching. More...

## Protected Attributes
int | range_width_
Protected Attributes inherited from cv::detail::BestOf2NearestMatcher
Ptr< FeaturesMatcher > | impl_
int | num_matches_thresh1_
int | num_matches_thresh2_
Protected Attributes inherited from cv::detail::FeaturesMatcher
bool | is_thread_safe_

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::BestOf2NearestMatcher
void | match (const ImageFeatures &features1, const ImageFeatures &features2, MatchesInfo &matches_info) CV_OVERRIDE
| This method must implement matching logic in order to make the wrappers detail::FeaturesMatcher::operator()_ work. More...
Protected Member Functions inherited from cv::detail::FeaturesMatcher
| FeaturesMatcher (bool is_thread_safe=false)

## Constructor & Destructor Documentation

## ◆ BestOf2NearestRangeMatcher()

cv::detail::BestOf2NearestRangeMatcher::BestOf2NearestRangeMatcher | ( | int | range_width = `5`,
|  | bool | try_use_gpu = `false`,
|  | float | match_conf = `0.3f`,
|  | int | num_matches_thresh1 = `6`,
|  | int | num_matches_thresh2 = `6`
| ) |  |

## Member Function Documentation

## ◆ operator()()

void cv::detail::BestOf2NearestRangeMatcher::operator() | ( | const std::vector< ImageFeatures > & | features,
|  | std::vector< MatchesInfo > & | pairwise_matches,
|  | const cv::UMat & | mask = `cv::UMat()`
| ) |  |

## Member Data Documentation

## ◆ range_width_

int cv::detail::BestOf2NearestRangeMatcher::range_width_
| protected

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/matchers.hpp